Ricoh SP C250SF/DN Toner Chip Reset with Raspberry PI 
=====================================================

This is based on the Raspberry Pi implementation of the Toner chip reset:
[https://gist.github.com/joeljacobs/c57550cdb4e68e3b86d6b89fb58f305d](https://gist.github.com/joeljacobs/c57550cdb4e68e3b86d6b89fb58f305d)

I adapted this for Raspberry PI Zero (W) which uses BCM2835 which I changed it from 9600 baud to 400KBps.
The electrical pins we need is clustered on to top left, Pins 1 (3.3V), 3 (I2C SDATA), 5 (I2C SCLK), 9 (Ground)

The corresponding 4 pads on the chip from left to right (with the holding notches near the top) are:
SCL, SDA, Vcc and GND

The following improvements are made 
- Huge speed improvements with Raspberry PI Zero
- Automatically detect the right color chip on connection
- Flashing LED indicators to indicate progress
- Console printouts to indicate process
- Strengthened path robustness for autostart

See this blog post for details with pictures and connection diagrams:
[https://wonghoi.humgar.com/blog/2021/10/03/improved-code-for-toner-reset-sp-c250sf-dn/](https://wonghoi.humgar.com/blog/2021/10/03/improved-code-for-toner-reset-sp-c250sf-dn/)